Ошибка chan_unistim.c

Asterisk
народ! подскажите ставлю asterisk18-1.8.15.0 на freebsd 8.2 выдает chan_unistim.c: Your OS does not support IP_PKTINFO, you must set public_ip и func_callerid.c: CALLERPRES is deprecated. Use CALLERID(name-pres) or CALLERID(num-pres) instead. не могу понять где это искать. порты обновлял и make clean тож делал))

4 комментария

avatar
asterisk лучше на centos поднимать или на ubuntu хотя бы.
avatar
может и лучше но не переделывать же сервак))) к тому же я сижу удаленно.есть же решение) почему то на другом нормально все работает конфиг одинаковый.
avatar
У FreeBSD есть отдельные баги с портами (portupgrade не советую, сильно корежит систему при неудачном обновлении). Попробуйте собрать через SVN — притянет более корректные версии.

Как вариант попробуйте так, правим файлы:
1. `manager.conf`
enabled = yes
webenabled = yes

2. `manager.conf`:
[administrator]
secret = wrxiur
read = system,call,log,verbose,command,agent,user,config
write = system,call,log,verbose,command,agent,user,config

3. `http.conf`
enabled=yes
enablestatic=yes
bindaddr=0.0.0.0

4. делаем make checkconfig в каталоге asterisk-GUI. Если не повезет, то svn в помощь, бага на фре давняя
avatar
спасибо большое помогло
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.